Page MenuHomePhabricator

More languages trigger icon is not displayed properly in IE
Closed, ResolvedPublic

Description

The icon seems to be very small, like only few pixels of gray. Removing background-size style rule makes it appear in proper size but in wrong location.

I am not sure if adding a PNG fallback would fix this issue (currently we only server SVG).

Details

Related Gerrit Patches:
mediawiki/extensions/UniversalLanguageSelector : masterAdd width and height attributes to svg for correct rendering in IE 10

Event Timeline

Restricted Application added a project: UniversalLanguageSelector. · View Herald TranscriptApr 5 2016, 1:22 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Amire80 triaged this task as Medium priority.Apr 19 2016, 8:53 AM
Amire80 added a subscriber: Amire80.

Can you please post a screenshot?

Only via cross browser testing now that I am abroad.

And not even that, blocked by this network.

Windows 10+Edge

Windows 8.1+ IE 10 - Issue is present

santhosh claimed this task.May 2 2016, 5:36 AM

Change 286387 had a related patch set uploaded (by Santhosh):
Add width and height attributes to svg for correct rendering in IE 10

https://gerrit.wikimedia.org/r/286387

Nikerabbit closed this task as Resolved.May 3 2016, 8:04 AM
Nikerabbit removed a project: Patch-For-Review.
Nikerabbit moved this task from In Review to Done on the Language-Q4-2016-Sprint 2 board.

Change 286387 merged by jenkins-bot:
Add width and height attributes to svg for correct rendering in IE 10

https://gerrit.wikimedia.org/r/286387